fr.enssat.BoulderDash.controllers

## Class GameController

- java.lang.Object
- - fr.enssat.BoulderDash.controllers.GameController

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class GameController
    extends java.lang.Object
    implements java.awt.event.ActionListener

GameController This system creates the view. The game loop is also handled there.

Since:
  2015-06-19
Author:
  Colin Leverger <me@colinleverger.fr>

### Constructor Summary

Constructors
Constructor and Description
`GameController(LevelModel levelModel, AudioLoadHelper audioLoadHelper, NavigationBetweenViewController navigationBetweenViewController)` Class constructor

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent event)` Handles the 'action performed' event
`AudioLoadHelper` `getAudioLoadHelper()` Gets the audio load helper instance
`GameView` `getGameView()` Return the game view
`void` `setGameView(GameView gameView)` Set the gameView

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameController

    public GameController(LevelModel levelModel,
                  AudioLoadHelper audioLoadHelper,
                  NavigationBetweenViewController navigationBetweenViewController)

Class constructor

Parameters:
  `levelModel` - Level model
  `navigationBetweenViewController` -

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

Handles the 'action performed' event

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`
Parameters:
  `event` - Action event

#### getAudioLoadHelper

    public AudioLoadHelper getAudioLoadHelper()

Gets the audio load helper instance

Returns:
  Audio load helper instance

#### getGameView

    public GameView getGameView()

Return the game view

Returns:
  gameView

#### setGameView

    public void setGameView(GameView gameView)

Set the gameView

Parameters:
  `gameView` -